Summary:	Datovka is a free graphical interface for 'Datove schranky'
Name:		datovka
Version:	4.6.0
Release:	%mkrel 1
License:	GPLv3
Group:		Office/Utilities
URL:		https://labs.nic.cz/cs/nova-datovka.html
Source0:	https://secure.nic.cz/files/datove_schranky/%{version}/%{name}-%{version}-src.tar.xz
BuildRequires:	libisds-devel >= 0.10
BuildRequires:	libxml2-devel
BuildRequires:	libcurl-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libexpat-devel
BuildRequires:	gettext-devel
BuildRequires:	gpgme-devel
BuildRequires:	qtbase5-common-devel
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(openssl)

Requires:	qtbase5-database-plugin-sqlite

Obsoletes:	dsgui
Obsoletes:	sudsds
Obsoletes:	dslib

%description
Datovka, successor of dsgui an old Datovka is a GUI application
allowing access to a 'Databox' - an electronic communication
interface endorsed by the Czech government.

%prep
%setup -q

%build
%_qt5_bindir/lrelease %{name}.pro
%qmake_qt5 PREFIX=%{_prefix}
%make

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Wed May 11 2016 daviddavid <daviddavid> 4.6.0-1.mga6
+ Revision: 1012427
- new version: 4.6.0

* Thu Mar 10 2016 daviddavid <daviddavid> 4.5.2-1.mga6
+ Revision: 988745
- new version: 4.5.2

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 09 2015 supp <supp> 4.4.2-1.mga6
+ Revision: 909183
- update to 4.4.2

* Wed Nov 04 2015 daviddavid <daviddavid> 4.4.1-1.mga6
+ Revision: 897839
- new version: 4.4.1

* Mon Oct 26 2015 daviddavid <daviddavid> 4.4.0-1.mga6
+ Revision: 895562
- new version: 4.4.0
- update file list

* Sat Oct 24 2015 daviddavid <daviddavid> 4.1.0-1.mga6
+ Revision: 894891
- use qmake_qt5 macro
- update BuildRequires and Requires
- fix owner of data dir

* Sun Feb 01 2015 supp <supp> 4.1.0-1.mga5
+ Revision: 812955
- update to 4.1.0

* Sun Dec 21 2014 supp <supp> 4.0.2-1.mga5
+ Revision: 804577
- fix .desktop file
- add missing BuildReq
- minor SPEC cleanup
- update do 4.0.2

* Wed Oct 15 2014 umeabot <umeabot> 3.0.3-8.mga5
+ Revision: 741696
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.0.3-7.mga5
+ Revision: 726070
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.0.3-6.mga5
+ Revision: 678674
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.0.3-5.mga5
+ Revision: 628150
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.0.3-4.mga4
+ Revision: 542529
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 3.0.3-3.mga4
+ Revision: 497683
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jan 11 2013 umeabot <umeabot> 3.0.3-2.mga3
+ Revision: 348622
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Tue Jan 08 2013 supp <supp> 3.0.3-1.mga3
+ Revision: 342979
- update to 3.0.3, fixing incorrect message sorting issue

* Wed Jan 02 2013 supp <supp> 3.0.2-1.mga3
+ Revision: 337730
- update to 3.0.2, bringing many new features

* Fri Nov 02 2012 supp <supp> 2.1.2-2.mga3
+ Revision: 312588
- fix minimum dslib version dependency

* Mon Oct 29 2012 dams <dams> 2.1.2-1.mga3
+ Revision: 311375
- update %%group
- new version 2.1.2

* Mon Jul 30 2012 supp <supp> 2.1.1-1.mga3
+ Revision: 276146
- update to 2.1.1, fixing several minor bugs and adding new CA cert for DataBox

* Sat Jun 30 2012 supp <supp> 2.0.2-3.mga3
+ Revision: 265643
- bump for cauldron
- update to 2.0.2, fixing serious bug which may corrupt data when using multiple accounts

* Sat Mar 03 2012 supp <supp> 2.0-1.mga2
+ Revision: 217264
- update to 2.0, allowing access to new features of DataBox

* Thu Dec 08 2011 supp <supp> 1.7-1.mga2
+ Revision: 178922
- imported package datovka

